FR EN DE ES IT PT
Browse forums 
Ankama Trackers

Says i need to update

By pepsiimax - SUBSCRIBER - May 26, 2020, 09:32:11

hi every time i try and load up dofus i get this message "This server will not run Dofus 2.55.9.12 You should install Version 2.55.11.13" but the launcher wont update itself and ive tried redownloading it can someone please help 
Thanks 

0 0
Reply
Reactions 4
Score : 182

This is because of weekly scheduled maintenance. They fix bugs, add new stuff sometimes. This is why version of the game changes. You cannot download it right away as the maintenance is still ongoing. Wait patiently until it finishes and you will be able to play. I'm also really sad maintenance takes so long (usually 3-4 hours) but well...

0 0
Reply
Score : 24

Okay thank you, atleast i can stop panicking now smile 

0 0
Respond to this thread